%define gcj_support 1

Name:           azureus
Version:        3.0.4.2
Release:        %mkrel 0.0.5
Epoch:          0
Summary:        BitTorrent Client
Group:          Networking/File transfer
License:        GPL
URL:            http://azureus.sourceforge.net/
Source0:        http://superb-west.dl.sourceforge.net/sourceforge/azureus/Azureus_%{version}_source.zip

Source1:        azureus.script
Source2:        Azureus.desktop
Source3:        azureus.applications

%if 0
Source5:        http://azureus.sourceforge.net/plugins/azplugins_2.1.4.jar
Source6:        http://azureus.sourceforge.net/plugins/bdcc_2.2.2.zip
%endif

Source100:      ChangeLog.txt
Source101:      GPL.txt
Source102:      az-build.xml
Source103:      build.xml

Patch100:         azureus3-no-win32.patch
Patch101:         azureus3-no-com-sun.patch
Patch102:         azureus3-no-old-bcprov.patch
Patch103:         azureus3-remove-manifest-classpath.patch

Patch0:         azureus-remove-win32-osx-platforms.patch
Patch1:         azureus-remove-win32-PlatformManagerUpdateChecker.patch
Patch2:         azureus-cache-size.patch
Patch3:         azureus-remove-manifest-classpath.patch
# (anssi) causes azureus to get stuck during loading:
###Patch7:         azureus-themed.patch
Patch8:         azureus-rh-bugzilla-180418.patch
Patch9:         azureus-no-shared-plugins.patch
Patch12:        azureus-no-updates-PluginInitializer.patch
# (anssi) still causes splash screen to remain on indefinitely
###Patch13:        azureus-no-updates-PluginInterfaceImpl.patch
Patch14:        azureus-no-update-manager-AzureusCoreImpl.patch
Patch15:        azureus-no-update-manager-CorePatchChecker.patch
Patch16:        azureus-no-update-manager-CoreUpdateChecker.patch
Patch18:        azureus-no-update-manager-PluginInstallerImpl.patch
Patch19:        azureus-no-update-manager-PluginUpdatePlugin.patch
Patch20:        azureus-no-update-manager-SWTUpdateChecker.patch
#Patch22:        azureus-no-update-manager-UpdateMonitor.patch
Patch23:        azureus-no-update-manager-PluginInstallerImpl-2.patch
#Patch25:        azureus-no-update-manager-MainStatusBar.patch
#Patch26:       azureus-nativetabs.patch
Patch27:        azureus-SecureMessageServiceClientHelper-bcprov.patch
#Patch28:        azureus-UDPConnectionSet-bcprov.patch
#Patch29:        azureus-CryptoHandlerECC-bcprov.patch
#Patch30:        azureus-CryptoSTSEngineImpl-bcprov.patch
Patch31:        azureus-fix-menu-MainMenu.patch
Patch32:        azureus-no-update-manager-MainMenu.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  ant, java-rpmbuild >= 0:1.5
# (anssi 01/2008) AFAICS not needed:
# BuildRequires: xml-commons-apis
BuildRequires:  jakarta-commons-cli, log4j
BuildRequires:  junit
# (anssi) needed only by patch7, not applied:
# BuildRequires:  libgconf-java
BuildRequires:  bouncycastle >= 0:1.33
BuildRequires:  libswt3-gtk2
Requires:       libswt3-gtk2
# (anssi) needed only by patch7, not applied:
# Requires:       libgconf-java
Requires:       bouncycastle >= 0:1.33
Requires:       java
Requires:       jpackage-utils
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRequires:  desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description 
Azureus implements the BitTorrent protocol using java language and
comes bundled with many invaluable features for both beginners and
advanced users.

%package console
Summary:	Azureus console support
Requires:       jakarta-commons-cli
Requires:       log4j
Requires:       azureus = %{version}
Group:          Networking/File transfer

%description console
Console mode operating support for azureus.

%prep
%setup -q -c -n %{name}3
%{__cp} -a %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103} .
rm -r org/bouncycastle
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%if 0
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
# (anssi) see above
###%patch7 -p0
%patch8 -p0
%patch9 -p0
#%patch11 -p0
%patch12 -p0
# (anssi) see above
###%patch13 -p0
%endif
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
# FIXME
#%%patch22 -p0
%patch23 -p0
#%patch25 -p0
%if 0
#%patch26 -p0
%patch27 -p0
#%patch28 -p0
#%patch29 -p0
#%patch30 -p0
%patch31 -p0
%endif
%patch32 -p0

mkdir -p build/libs
build-jar-repository -p build/libs jakarta-commons-cli swt-gtk log4j junit bcprov
# (anssi) Used by unapplied patch7 only, if re-enabled remember to modify azureus.script as well
#%if %mdkversion == 200700
#gtk2.8 glib0.2
#%else
#gtk2.10 glib0.4
#%endif

find ./ -name osx | xargs rm -r
find ./ -name macosx | xargs rm -r
find ./ -name win32\* | xargs rm -r
find ./ -name Win32\* | xargs rm -r
# Remove test code
rm org/gudy/azureus2/ui/swt/test/PrintTransferTypes.java

# Convert line endings...
%{__sed} -i 's/\r$//g' *.txt
chmod 644 *.txt

%build
%{ant} jar

%if 0
mkdir -p plugins/azplugins
cd plugins/azplugins
unzip -q %{SOURCE5}
rm -f *.jar `find ./ -name \*class`
find ./ -name \*java | xargs %{javac} -cp `build-classpath swt-gtk`:../..:.
find ./ -name \*java | xargs rm
%{jar} cvf azplugins_2.1.1.jar *
cd ../..

unzip -q %{SOURCE6}
cd plugins/bdcc
unzip *.jar
rm -f *.jar `find ./ -name \*class`
find ./ -name \*java | xargs %{javac} -cp `build-classpath swt-gtk`:../..:.
find ./ -name \*java | xargs rm
%{jar} cvf bdcc_2.2.2.jar *
cd ../..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} %{buildroot}%{_javadir}

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/azureus/plugins
install -pm 644 dist/Azureus2.jar $RPM_BUILD_ROOT%{_javadir}/Azureus2.jar
install -p -D -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/azureus
sed --in-place -e "s:/usr/lib:%{_libdir}:g;" $RPM_BUILD_ROOT%{_bindir}/azureus

%if 0
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/azplugins
install -pm 644 plugins/azplugins/azplugins_2.1.1.jar $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/azplugins/azplugins_2.1.1.jar
install -pm 644 plugins/azplugins/plugin.properties $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/azplugins/plugin.properties

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/bdcc
install -pm 644 plugins/bdcc/bdcc_2.2.2.jar $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/bdcc/bdcc_2.2.2.jar
install -pm 644 plugins/bdcc/plugin.properties $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/bdcc/plugin.properties
%endif

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -m 644 org/gudy/azureus2/ui/icons/a32.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/azureus.png
install -m 644 org/gudy/azureus2/ui/icons/a16.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/azureus.png
install -m 644 org/gudy/azureus2/ui/icons/a32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/azureus.png
install -m 644 org/gudy/azureus2/ui/icons/a64.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/azureus.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
%{_bindir}/desktop-file-install --vendor mandriva            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
        --add-category X-MandrivaLinux-Internet-FileTransfer \
        --remove-category Application                        \
        %{SOURCE2}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/application-registry
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/application-registry

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %{gcj_support}
%{update_gcjdb}
%endif
%{update_desktop_database}
%{update_mime_database}
%update_icon_cache hicolor

%postun
%if %{gcj_support}
%{clean_gcjdb}
%endif
%{clean_desktop_database}
%{clean_mime_database}
%clean_icon_cache hicolor

%files
%defattr(0644,root,root,0755)
%doc *.txt
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/pixmaps/azureus.png
%{_datadir}/icons/hicolor/16x16/apps/azureus.png
%{_datadir}/icons/hicolor/32x32/apps/azureus.png
%{_datadir}/icons/hicolor/64x64/apps/azureus.png
%attr(0755,root,root) %{_bindir}/azureus
%{_datadir}/azureus
%{_javadir}/*.jar
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif

%files console


%changelog
* Tue Feb 26 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:3.0.4.2-0.0.5mdv2008.1
+ Revision: 175272
- this is not a noarch package

* Mon Feb 25 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:3.0.4.2-0.0.4mdv2008.1
+ Revision: 175173
- comment unapplied patches
- fix mozilla firefox finding until firefox package provides gre files

* Mon Jan 28 2008 David Walluck <walluck@mandriva.org> 0:3.0.4.2-0.0.3mdv2008.1
+ Revision: 159504
- rebuild

* Mon Jan 21 2008 Anssi Hannula <anssi@mandriva.org> 0:3.0.4.2-0.0.2mdv2008.1
+ Revision: 155889
- split console dependencies to a separate console subpackage
- do not buildrequire xml-commons-apis

* Wed Jan 09 2008 David Walluck <walluck@mandriva.org> 0:3.0.4.2-0.0.1mdv2008.1
+ Revision: 147046
- move doc modification to %%prep
- disable azureus-no-update-manager-MainStatusBar.patch due to new unified status bars
- add azureus-no-update-manager-MainMenu.patch
- fix Source0 URL
- 3.0.4.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Oct 27 2007 David Walluck <walluck@mandriva.org> 0:3.0.3.4-0.0.2mdv2008.1
+ Revision: 102699
- fix bcprov

* Sat Oct 27 2007 David Walluck <walluck@mandriva.org> 0:3.0.3.4-0.0.1mdv2008.1
+ Revision: 102518
- 3.0.3.4
- use unversioned swt link

* Wed Oct 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0:3.0.2.2-0.0.6mdv2008.0
+ Revision: 95016
- Rediff the no-update patches

* Mon Sep 17 2007 Anssi Hannula <anssi@mandriva.org> 0:3.0.2.2-0.0.5mdv2008.0
+ Revision: 89269
- requires jpackage-utils

* Sun Sep 16 2007 Anssi Hannula <anssi@mandriva.org> 0:3.0.2.2-0.0.4mdv2008.0
+ Revision: 87947
- remove unneeded dependencies on gnome-java stuff

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:3.0.2.2-0.0.3mdv2008.0
+ Revision: 87470
- require java
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Mon Sep 03 2007 David Walluck <walluck@mandriva.org> 0:3.0.2.2-0.0.2mdv2008.0
+ Revision: 78864
- bump release
- 3.0.2.2
- fix syntax of Azureus.desktop
- fix %%{_libdir}/gcj/%%{name} permissions and ownership
- quick patching (not all patches from azureus2 have been ported yet)

* Thu Aug 09 2007 David Walluck <walluck@mandriva.org> 0:2.5.0.4-2.4mdv2008.0
+ Revision: 60680
- rebuild for eclipse 3.3

* Sat Jun 30 2007 Anssi Hannula <anssi@mandriva.org> 0:2.5.0.4-2.3mdv2008.0
+ Revision: 46135
- re-drop patch13 causing splash screen to not go away

* Sat Jun 30 2007 Anssi Hannula <anssi@mandriva.org> 0:2.5.0.4-2.2mdv2008.0
+ Revision: 46115
- drop azureus-themed.patch (patch7), to avoid azureus getting stuck during
  loading

* Fri Jun 29 2007 David Walluck <walluck@mandriva.org> 0:2.5.0.4-2.1mdv2008.0
+ Revision: 45907
- sync with latest FC

  + Michael Scherer <misc@mandriva.org>
    - change group, fix #31605


* Tue Mar 13 2007 Anssi Hannula <anssi@mandriva.org> 2.5.0.4-1.2mdv2007.1
+ Revision: 143217
- fix splash screen by disabling patch13

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - fix build on 2007.0

* Tue Mar 06 2007 David Walluck <walluck@mandriva.org> 0:2.5.0.4-1.1mdv2007.1
+ Revision: 133977
- fix swt-gtk jar version

* Sun Mar 04 2007 David Walluck <walluck@mandriva.org> 0:2.5.0.4-1mdv2007.1
+ Revision: 132058
- 2.5.0.4

* Tue Oct 31 2006 David Walluck <walluck@mandriva.org> 0:2.5.0.0-8.1mdv2007.1
+ Revision: 73921
- bump release

* Sat Oct 21 2006 David Walluck <walluck@mandriva.org> 0:2.5.0.0-1.4mdv2007.1
+ Revision: 71556
- fix gtk and glib versions
- bump release for latest glib-java
- Import azureus

* Tue Sep 05 2006 David Walluck <walluck@mandriav.org> 0:2.5.0.0-1.3mdv2007.0
- rebuild to fix %%clean_icon_cache

* Fri Sep 01 2006 David Walluck <walluck@mandriav.org> 0:2.5.0.0-1.2mdv2007.0
- 2.5.0.0

* Thu Aug 10 2006 David Walluck <walluck@mandriva.org> 0:2.4.0.3-0.20060702.3mdv2007.0
- fix gcj_support in %%post and %%postun

* Sun Jul 23 2006 David Walluck <walluck@mandriva.org> 0:2.4.0.3-0.20060702.2mdv2007.0
- call %%{javac}

* Sun Jul 16 2006 David Walluck <walluck@mandriva.org> 0:2.4.0.3-0.20060702.1mdv2007.0
- update
- rebuild for swt 3.2

* Sat Apr 22 2006 David Walluck <walluck@mandriva.org> 0:2.4.0.2-1mdv2007.0
- 2.4.0.2

* Thu Feb 09 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-8mdk
- rebuild for new swt-gtk symlink

* Wed Feb 01 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-7mdk
- add mdk menu

* Tue Jan 31 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-6mdk
- add (Build)Requires on desktop-file-utils

* Mon Jan 30 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-5mdk
- remove junit dependency

* Mon Jan 30 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-4mdk
- set arch to noarch if %%gcj_support is 0

* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-3mdk
- add patch for cache size

* Mon Jan 16 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-2mdk
- better patches for proprietary jdks
- set java.library.path

* Sun Jan 15 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-1mdk
- release

* Sun Jan 15 2006 Anthony Green <green@redhat.com> - 2.3.0.6-4
- Remove bouncycastle crypto from zipball.
- Add bouncycastle build- and runtime dependencies.
- Desktop integration work.

* Sun Dec 18 2005 Anthony Green <green@redhat.com> - 2.3.0.6-3
- Add azureus-ConfigurationManager-improvement.patch

* Sat Dec 17 2005 Anthony Green <green@redhat.com> - 2.3.0.6-2
- Add azureus-remove-win32-PlatformManagerUpdateChecker.patch

* Sat Dec 17 2005 Anthony Green <green@redhat.com> - 2.3.0.6-1
- Created.

